Bug 461061 - sabayon segfaults
sabayon segfaults
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sabayon (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 17:39 EDT by John Ellson
Modified: 2015-03-03 17:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-04 18:35:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2008-09-03 17:39:17 EDT
Description of problem:
I don't think sabayon was updated today, but something in today's Rawhide updates seems to have broken it.  Possibly  pygobject2?  Now it just segfaults.

I tried "yum reinstall sabayon".   No difference.

Version-Release number of selected component (if applicable):
sabayon-2.22.0-3.fc10.x86_64
python-2.5.1-30.fc10.x86_64
pygtk2-2.13.0-2.fc10.x86_64
pygobject2-2.15.3-1.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1. gdb python
2. run /usr/sbin/sabayon
3.
  
Actual results:
Program received signal SIGSEGV, Segmentation fault.
0x00007ffff1387cdb in pygtk_register_classes (d=0x75bfc0) at gtk.c:119090
119090	    pyg_register_interface(d, "CellEditable", GTK_TYPE_CELL_EDITABLE, &PyGtkCellEditable_Type);

(gdb) where
#0  0x00007ffff1387cdb in pygtk_register_classes (d=0x75bfc0) at gtk.c:119090
#1  0x00007ffff129cfff in init_gtk () at gtkmodule.c:225
#2  0x0000003fbd6d50e6 in _PyImport_LoadDynamicModule (
    name=<value optimized out>, pathname=<value optimized out>, 
    fp=<value optimized out>) at Python/importdl.c:53
#3  0x0000003fbd6d34d9 in import_submodule (mod=<value optimized out>, 
    subname=<value optimized out>, fullname=<value optimized out>)
    at Python/import.c:2394
#4  0x0000003fbd6d3a69 in ensure_fromlist (mod=<value optimized out>, 
    fromlist=<value optimized out>, buf=<value optimized out>, 
    buflen=<value optimized out>, recursive=<value optimized out>)
    at Python/import.c:2305
#5  0x0000003fbd6d3ff0 in import_module_level (name=<value optimized out>, 
    globals=<value optimized out>, locals=<value optimized out>, 
    fromlist=<value optimized out>, level=<value optimized out>)
    at Python/import.c:2032
#6  0x0000003fbd6d4125 in PyImport_ImportModuleLevel (
    name=<value optimized out>, globals=<value optimized out>, 
    locals=<value optimized out>, fromlist=<value optimized out>, 
    level=<value optimized out>) at Python/import.c:2066
#7  0x0000003fbd6b79cd in builtin___import__ (self=<value optimized out>, 
    args=<value optimized out>, kwds=<value optimized out>)
    at Python/bltinmodule.c:47


Expected results:
not this

Additional info:
Comment 1 Matthias Clasen 2008-09-04 17:15:06 EDT
There is a pygobject2-2.15.4-1 in rawhide (or at least in koji), and it doesn't segfault for me with that version.
Comment 2 John Ellson 2008-09-04 18:35:35 EDT
OK, The problem has cleared for me too with today's pygobject2-2.15.4-1.fc10.x86_64

Note You need to log in before you can comment on or make changes to this bug.